#
# spec file for package everybuddy (Version 0.2.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  audiofile esound glib glib-devel gnome-core gnome-libs gnome-libs-devel gtk gtk-devel imlib imlib-devel libPropList libPropList-devel libjpeg libpng libtiff libungif orbit orbit-devel xf86 xpm
# usedforbuild    aaa_base aaa_dir audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs esound file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gnome-core gnome-libs gnome-libs-devel gpm gppshare grep groff gtk gtk-devel gzip imlib imlib-devel kbd less libPropList libPropList-devel libjpeg libpng libtiff libtool libungif libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg orbit orbit-devel pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         everybuddy
%define prefix /opt/gnome
%define sysconfdir /etc/opt/gnome
%define INSTALL install -m755 -s
%define INSTALL_SCRIPT install -m755
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
Copyright:    GPL
Group:        X11/GNOME/Network
Autoreqprov:  on
Version:      0.2.0
Release:      267
Summary:      Chat program for several services
URL:          http://www.everybuddy.com/index.shtml
Source:       http://www.everybuddy.com/files/everybuddy-%{version}.tar.gz 
Patch1:	      everybuddy-%{version}.dif
#BuildRoot:    /var/tmp/%{name}-BUILD
Patch: evbuddy-gnome-menu.dif

%description
A GTK based chat program which combines the services of AIM, ICQ, MSN,
and Yahoo! in one Interface.

Authors:
--------
    Torrey Searle <tsearle@uci.edu>
    Jim Duchek <jimduchek@ou.edu>
    Rob Flynn <rflynn@blueridge.net>
    Ben Rigas <ben@american-computer.net>
    Jeramey Crawford <jacrawf@marko.net>
    Jeff Miller <jm9468@cnsvax.albany.edu>
    Jared Peterson <jared@web-feats.net>
    Troy Morrison <troy@akropolys.com>
    Shane Brady <shane@jxie.com>

SuSE series: gnm

%prep
%setup -n everybuddy-%{version}
%patch1
# Apply a small patch to let everybuddy inside the gnome menus
%patch -p1
%{suse_update_config}
CFLAGS="$RPM_OPT_FLAGS" \
LIBS=-L/usr/X11R6/lib ./configure \
    --sysconfdir=%sysconfdir \
    --prefix=%prefix \
    --datadir=%{prefix}/share \
    --mandir=%{_mandir}
# we do use a newer orbit
# (cd idl && rm balsa-skels.c balsa.h)

%build
make

%install
install -d -m755 ${RPM_BUILD_ROOT}%{_mandir}/man1
#imake install prefix=${RPM_BUILD_ROOT}%{prefix} \
#             sysconfdir=${RPM_BUILD_ROOT}%{sysconfdir} \
#             datadir=${RPM_BUILD_ROOT}%{prefix}/share \
#	     balsasoundsdir=${RPM_BUILD_ROOT}/opt/gnome/share/sounds/balsa \
#	     soundlistdir=${RPM_BUILD_ROOT}/etc/opt/gnome/sound/events \
#	     balsabitmapsdir=${RPM_BUILD_ROOT}/opt/gnome/share/pixmaps/balsa \
#	     gnomedatadir=${RPM_BUILD_ROOT}/opt/gnome/share \
#	     gnomeconfdir=${RPM_BUILD_ROOT}/etc/opt/gnome \
#	     mandir=${RPM_BUILD_ROOT}/%{_mandir}
make install

%clean
#rm -rf $RPM_BUILD_ROOT

%files
%doc AUTHORS COPYING NEWS README TODO
/opt/gnome/share/gnome/apps/Internet/Everybuddy.desktop
/opt/gnome/bin/contact-update.pl
/opt/gnome/bin/everybuddy
/opt/gnome/bin/update.pl
# /opt/gnome/share/pixmaps/ebicon.xpm
/opt/gnome/share/sounds/everybuddy
%{_mandir}/man1/everybuddy.1.gz

%changelog -n everybuddy
* Fri Jul 13 2001 - grimmer@suse.de
- Fixed file list (using wildcards instead of shared directory
  names)
* Sun Feb 25 2001 - egger@suse.de
- Remove unnecessary dependencies from #neededforbuild,
  especially imlib-config.
* Thu Feb 22 2001 - uli@suse.de
- fixed for new glibc
* Tue Jan 30 2001 - ro@suse.de
- changed neededforbuild <imlibcfe> to <imlib-config>
* Wed Jan 24 2001 - hhetter@suse.de
- updated to version 0.2.0
* Wed Nov 15 2000 - ro@suse.de
- fixed neededforbuild for libPropList
* Tue Nov 14 2000 - hhetter@suse.de
- updated to version 0.1.5
* Wed Nov 01 2000 - egger@suse.de
- Updated specfile to new long packagenames.
- Reworked specfile.
- Probably needs some more work; I'm taking care of that.
* Tue Sep 19 2000 - egger@suse.de
- added %%{suse_update_config}
* Mon Sep 04 2000 - hhetter@suse.de
- small patch to enable gnome panel entry (evbuddy-gnome-panel.dif)
* Tue Aug 29 2000 - hhetter@suse.de
- initial build
